# Fetch a Statement

> Get a pre-signed URL for the requested statement file.

Source: https://help.boltapp.com/api-reference/endpoints/statements/getstatements

`POST /v1/merchant/statement`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Bolt API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\n A comprehensive Bolt API reference for interacting with Transactions, Orders, Product Catalog, Configuration, Testing, and much more.\n\n Note: You must also reference the [Merchant Callback API](/api-merchant) when building a managed checkout custom cart integration\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/statement": {
      "post": {
        "description": "Get a pre-signed URL for the requested statement file.",
        "operationId": "getStatements",
        "requestBody": {
          "$ref": "#/components/requestBodies/statements_view"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/statements_view"
          },
          "403": {
            "$ref": "#/components/responses/statements_view_error_403"
          },
          "404": {
            "$ref": "#/components/responses/statements_view_error_404"
          },
          "422": {
            "$ref": "#/components/responses/statements_view_error_422"
          }
        },
        "security": [
          {
            "X-API-Key": [
              "X-API-Key"
            ]
          }
        ],
        "summary": "Fetch a Statement",
        "tags": [
          "Statements"
        ]
      }
    }
  },
  "components": {
    "requestBodies": {
      "statements_view": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "date": {
                  "$ref": "#/components/schemas/statements_date"
                },
                "file_type": {
                  "$ref": "#/components/schemas/statements_file_type"
                },
                "type": {
                  "$ref": "#/components/schemas/statements_type"
                }
              },
              "required": [
                "type",
                "file_type",
                "date"
              ],
              "type": "object"
            }
          }
        },
        "description": "View Statements"
      }
    },
    "schemas": {
      "statements_date": {
        "description": "This is the date of the statement, in milliseconds since the Unix epoch time.",
        "type": "integer",
        "examples": [
          1586480400000
        ]
      },
      "statements_file_type": {
        "description": "This is the type of the file. Currently, Bolt only supports CSV statements.",
        "enum": [
          "csv"
        ],
        "type": "string",
        "examples": [
          "csv"
        ]
      },
      "statements_type": {
        "description": "The time period and statement type: \n  * [Funding details statement](https://help.boltapp.com/operations/financials/export-funding-detail-statements/) with transactional events: Use `daily_transaction` or `monthly_transaction`\n  * [Bank transfer statement](https://help.boltapp.com/operations/financials/export-bank-transfer-statements/) with settlement and funding events: Use `daily_funding`\n  * [Dispute statement](https://help.boltapp.com/operations/disputes/dispute-statements/#how-to-read-dispute-statements): Use `monthly_dispute`\n",
        "enum": [
          "daily_transaction",
          "monthly_transaction",
          "daily_funding",
          "monthly_dispute"
        ],
        "type": "string",
        "examples": [
          "daily_transaction"
        ]
      },
      "statements_url": {
        "description": "This is the pre-signed URL of the requested statement. The URL has an expiration period of 5 minutes.\nSharing the URL implies sharing the statement and its contents, please be careful.\n",
        "type": "string",
        "examples": [
          "https://bolt-statements-production.s3.us-west-2.amazonaws.com/00_daily_transaction_20200410.csv"
        ]
      },
      "errors_bolt_api_response": {
        "properties": {
          "errors": {
            "$ref": "#/components/schemas/errors_bolt_api"
          },
          "result": {
            "$ref": "#/components/schemas/request_result"
          }
        },
        "type": "object"
      },
      "errors_bolt_api": {
        "items": {
          "$ref": "#/components/schemas/error_bolt_api"
        },
        "type": "array"
      },
      "error_bolt_api": {
        "properties": {
          "code": {
            "$ref": "#/components/schemas/code"
          },
          "message": {
            "$ref": "#/components/schemas/message"
          }
        },
        "type": "object",
        "description": "Error object containing custom error information"
      },
      "code": {
        "description": "Custom-defined Bolt error code. This can be used to programmatically react to specific errors.",
        "format": "int64",
        "type": "integer",
        "examples": [
          2001005
        ]
      },
      "message": {
        "description": "Human-readable description of the error for developers. Should not be shown to users and is not localized.",
        "type": "string",
        "examples": [
          "The input is missing a required parameter."
        ]
      },
      "request_result": {
        "description": "Custom-defined Bolt result object.",
        "properties": {
          "success": {
            "$ref": "#/components/schemas/request_failed"
          }
        },
        "type": "object"
      },
      "request_failed": {
        "type": "boolean",
        "description": "Indicates that the request failed. This value is always false.",
        "examples": [
          false
        ]
      }
    },
    "responses": {
      "statements_view": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "url": {
                  "$ref": "#/components/schemas/statements_url"
                }
              },
              "required": [
                "url"
              ],
              "type": "object"
            }
          }
        },
        "description": "Statements Fetch Successful"
      },
      "statements_view_error_403": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      },
      "statements_view_error_404": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      },
      "statements_view_error_422": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
